{"id":"get-deposit-referencenumber-reference","name":"/deposit/{referenceNumber}/reference - GET","method":"GET","urlTemplate":"/deposit/{referenceNumber}/reference","templateParameters":[{"name":"referenceNumber","type":"string","required":true,"values":[],"schemaId":"6ae12969bf455a01a40e2cd4","typeName":"ReferenceNumber"}],"description":"Returns the reference information about an annual account.","request":{"queryParameters":[],"headers":[{"name":"X-Request-Id","description":"Tracking id (type-4 UUID) of the request, used for debugging and tracability.","type":"string","format":"uuid","required":true,"values":[],"schemaId":"6ae12969bf455a01a40e2cd4","typeName":"Parameter-X-Request-Id"}],"representations":[]},"responses":[{"statusCode":200,"description":"metadata information for the deposit. This information is returned in a json document.\nSelection is made based on the \"Accept\" header of the request. ","representations":[{"contentType":"application/json","examples":{"default":{"value":{"ReferenceNumber":"todo","DepositDate":"string","ExerciseDates":{"StartDate":"string","EndDate":"string"},"ModelType":"string","DepositType":"Initial","Language":"FR","Currency":"string","EnterpriseNumber":"string","EnterpriseName":"string","Address":{"Box":"string","City":"string","CountryCode":"string","Number":"string","PostalCode":"string","Street":"string"},"LegalForm":"string","LegalSituation":"string","FullFillLegalValidation":true,"ActivityCode":"string","GeneralAssemblyDate":"string","AccountingDataURL":"string","DataVersion":"Authentic","ImprovementDate":"string","CorrectedData":"AA"}}},"schemaId":"6ae12969bf455a01a40e2cd4","typeName":"Reference"}],"headers":[]},{"statusCode":400,"description":"default error response based on problem","representations":[{"contentType":"application/problem+json","examples":{"default":{"value":{"title":"string","status":0,"path":"string","timestamp":"string","violations":[{"field":"string","messageKey":"string","defaultMessage":"string"}]}}},"schemaId":"6ae12969bf455a01a40e2cd4","typeName":"ThrowableProblem"}],"headers":[]},{"statusCode":500,"description":"default error response based on problem","representations":[{"contentType":"application/problem+json","examples":{"default":{"value":{"title":"string","status":0,"path":"string","timestamp":"string","violations":[{"field":"string","messageKey":"string","defaultMessage":"string"}]}}},"schemaId":"6ae12969bf455a01a40e2cd4","typeName":"ThrowableProblem"}],"headers":[]}]}